Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
MyBB 1.1.6 veröffentlicht
#11
Hallo Garlant!

Garlant schrieb:Warum sollte man die finger von der functions.php lassen? Solange man sicheren Code verwendet kann nichts passieren. Unter sicheren Code verstehe ich, dass man funktionen verwendet die exploits in den erweiterten Teil nicht zulassen.

Das verlangt aber auch sehr viel Vertrauen des 'Anwenders' in die Künste (und Absichten) des Programmierers. Die wohl meisten haben zwar gute Absichten, aber kennen die Fallstricke der PHP-Programmierung nicht wirklich und dann gibt es noch die anderen <bg>

Selbst die PHP-Entwickler haben schon ein Updates rausgebracht, weil eine kleine Unachtsamkeit in der Syntax einen dicken Exploit möglich machte....

Daher ist es mir bei Zusatzsoftware lieber, daß sie die eigentlichen Programmscripte in Ruhe lassen - so ist auch die Fehlersuche viel einfacher, wenn irgendwas am Hauptprogramm nicht so läuft, wie es soll....



MfG

Eugenie
Zitieren
#12
Zitat:Das verlangt aber auch sehr viel Vertrauen des 'Anwenders' in die Künste (und Absichten) des Programmierers. Die wohl meisten haben zwar gute Absichten, aber kennen die Fallstricke der PHP-Programmierung nicht wirklich und dann gibt es noch die anderen <bg>

Selbst die PHP-Entwickler haben schon ein Updates rausgebracht, weil eine kleine Unachtsamkeit in der Syntax einen dicken Exploit möglich machte....
Da ich (noch) nicht so viel von php verstehe, ist für mich Vertrauen zum Programmierer sehr wichtig !
Mann kann ja nie wissen was der für Hintertürchen offen lässt !

Zitat:Daher ist es mir bei Zusatzsoftware lieber, daß sie die eigentlichen Programmscripte in Ruhe lassen - so ist auch die Fehlersuche viel einfacher, wenn irgendwas am Hauptprogramm nicht so läuft, wie es soll....
Ich glaube, das ist sogar notwendig !
Wenn ich Zusatzsoftware installiere müssen die ja in die Programmscripte integriert werden !

Daher ist es ja fast unmöglich, das die Programmscripte nicht beschrieben werden !

Oder liege ich da falsch ?

Wenn ich z.B. Plugin installiere, werden mache Templates ja auch verändert !

Das gehört wohl einfach dazu !

bis gli...
greetz DaStaFlexX


Zitieren
#13
@Eugenie
Ich möchte noch in den Raum werfen das es kein Script gibt das vollkommen ohne Fehler oder Lücken ist. Selbst im php Compiler sind Bugs welche folgen haben.
Daher ist das was du meinst vollkommen irrsinnig.
Aber bitte, jeder kann es Handhaben wie er es mag. Smile

[break]

So, jetzt bitte zurück zum Mybb1.1.6.

Mfg Garlant

Ich gebe keinen Support per Messenger oder PN!
Zitieren
#14
In Datei: inc/functions.php
return $ip;
ersetzen durch:
return addslashes($ip);

($ip) ist überhaupt nicht zu finden.
Ich finde also weder das eine noch das andere.
Muss ich mir einen Kopf machen?

Ich update immer zeitnah, was bedeutet diese Variable oder was auch immer?
MyBB Version: 1.6.12
DB Version: MySQLi 5.5.31
PHP Version: 5.3.27
Zitieren
#15
Hast du mal nur nach der Variable $ip ohne Klammern gesucht? Diese muss in der Datei enthalten sein.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#16
Sorry, habe mehrmals nach gesucht, nicht gefunden.
Jetzt nochmal und promt hatte ich's.
Bei mir steht es in Zeile 1319
Tomaten auf den Augen, alles OK, danke.
MyBB Version: 1.6.12
DB Version: MySQLi 5.5.31
PHP Version: 5.3.27
Zitieren
#17
@Michael
Wäre es nicht möglich, dass richtige Patches veröffentlicht werden? Dann könnte man die schnell per "patch"-Befehl installieren. Das würde die ganze Prozedur vereinfachen.
Außerdem wäre ein tar.gz/bz2-Paket gut.
Dieser Satz ist falsch!
Zitieren
#18
poncho schrieb:Wäre es nicht möglich, dass richtige Patches veröffentlicht werden? Dann könnte man die schnell per "patch"-Befehl installieren. Das würde die ganze Prozedur vereinfachen.
Außerdem wäre ein tar.gz/bz2-Paket gut.
Man muss doch nur ein paar Dateien hochladen. Da lohnt sich auch nur zip. Das andere hätte keinen nutzen.
Aber das MyBB Komplettpaket könnte mal in den oben genannten Dateitypen gemacht werden.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#19
Ich lade ja nichts hoch, ich arbeite direkt auf dem Server per Shell. ZIP ist unter Linux nichts so berauschend. Es ist erstens nicht standardmäßig dabei und zweitens kann es keine Berechtigungen speichern.
Dieser Satz ist falsch!
Zitieren
#20
Dragon schrieb:Aber das MyBB Komplettpaket könnte mal in den oben genannten Dateitypen gemacht werden.
Das Komplettpaket ist auf MyBBoard.com bereits in verschiedenen Formaten erhältlich.
poncho schrieb:@Michael
Wäre es nicht möglich, dass richtige Patches veröffentlicht werden? Dann könnte man die schnell per "patch"-Befehl installieren. Das würde die ganze Prozedur vereinfachen.
Außerdem wäre ein tar.gz/bz2-Paket gut.
Ich werde bei Chris mal anfragen was er davon hält.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren